package com.kingdee.eas.custom.facade.houtsrepot;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkhoursFacadeFactory
{
    private WorkhoursFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B15CA9BB") ,com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B15CA9BB") ,com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B15CA9BB"));
    }
    public static com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.houtsrepot.IWorkhoursFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B15CA9BB"));
    }
}